Summary: iODBC Driver Manager
Name:    libiodbc
Version: 3.52.16
Release: 1%{?dist}
License: LGPLv2 or BSD
URL:     http://www.iodbc.org
Source0: https://github.com/openlink/iODBC/archive/v%{version}/%{name}-%{version}.tar.gz

Patch3000: libiodbc-3.52.12-multilib.patch

BuildRequires: gcc chrpath libtool make

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and ODBC compliant driver manager
which allows developers to write ODBC compliant applications that can connect to various databases
using appropriate backend drivers.

%package devel
Summary: Header files and libraries for iODBC development
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files and libraries needed to develop programs that use the driver manager.

%prep
%autosetup -p1 -n iODBC-%{version}
chmod -x include/*.h

%build
./autogen.sh
%configure \
  --enable-odbc3 \
  --with-iodbc-inidir=%{_sysconfdir} \
  --enable-pthreads \
  --disable-libodbc \
  --disable-static \
  --includedir=%{_includedir}/libiodbc \
  --disable-gui

%make_build

%install
%make_install

chrpath --delete %{buildroot}%{_bindir}/iodbctest
chrpath --delete %{buildroot}%{_bindir}/iodbctestw

rm -fv %{buildroot}%{_libdir}/lib*.la
rm -rfv %{buildroot}%{_datadir}/libiodbc/samples

%files 
%license LICENSE*
%doc AUTHORS ChangeLog README
%doc etc/odbc*.ini.sample
%{_bindir}/iodbctest
%{_bindir}/iodbctestw
%{_libdir}/libiodbc.so.2*
%{_libdir}/libiodbcinst.so.2*
%{_mandir}/man1/iodbctest.1*
%{_mandir}/man1/iodbctestw.1*

%files devel
%{_bindir}/iodbc-config
%{_includedir}/libiodbc/
%{_libdir}/libiodbc.so
%{_libdir}/libiodbcinst.so
%{_libdir}/pkgconfig/libiodbc.pc
%{_mandir}/man1/iodbc-config.1*

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 3.52.16-1
- Upgrade to version 3.52.16

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.52.15-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.52.15-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Shuo Wang <abushwang@tencent.com> - 3.52.15-1
- initial build
